local glowColor1 = color("1,1,1,0.15");
local glowColor2 = color("1,0,1,0.15");

return Def.ActorFrame{
	LoadActor("LifeMeterBar Over");
	-- feel free to remove this LoadActor() below;
	-- if you do, remove the two glowColor variables above too. -aj
	LoadActor("LifeMeterBar Over")..{
		InitCommand=cmd(glowshift;effectclock,"beat";diffusealpha,0.15;blend,'BlendMode_Add');
		BeginCommand=function(self)
			local song = GAMESTATE:GetCurrentSong();
			if song then
				self:effectperiod( song:MusicLengthSeconds()/16 );
			end;
		end;
	};
};